Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLSocketFactory

    java.lang.Object
      |
      +--javax.net.SocketFactory
            |
            +--javax.net.ssl.SSLSocketFactory

Direct Known Subclasses:
  SSLSocketFactory

public abstract class SSLSocketFactory
extends SocketFactory

Instances of this kind of socket factory return SSL sockets. An SSL implementation may be established as the "default" factory.

Factory classes are specified by virtual machine configuration mechanisms. Policies for providing different kinds of socket, and for customizing how they are configured, are similarly specified using virtual machine specific interfaces.

Constructor Summary
`SSLSocketFactory()` Constructor is used only by subclasses.

Method Summary
`abstract Socket` | `createSocket(Socket s, String host, int port, boolean autoClose)` Returns a socket layered over an existing socket to a ServerSocket on the named host, at the given port.
`static SocketFactory` | `getDefault()` Returns the default SSL socket factory.
`abstract String[]` | `getDefaultCipherSuites()` Returns the list of cipher suites which are enabled by default.
`abstract String[]` | `getSupportedCipherSuites()` Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory.

Methods inherited from class javax.net.SocketFactory
`createSocket, createSocket, createSocket, createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLSocketFactory

    public SSLSocketFactory()

  Constructor is used only by subclasses.

Method Detail

### createSocket

    public abstract Socket createSocket(Socket s,
                                        String host,
                                        int port,
                                        boolean autoClose)
                                 throws IOException

  Returns a socket layered over an existing socket to a ServerSocket on the named host, at the given port. This constructor can be used when tunneling SSL through a proxy. The host and port refer to the logical destination server. This socket is configured using the socket options established for this factory.

### getDefault

    public static SocketFactory getDefault()

  Returns the default SSL socket factory. The default implementation can be changed by setting the value of the "ssl.SocketFactory.provider" security property (in the Java security properties file) to the desired class.

  If SSL has not been configured properly for this virtual machine, the factory will be inoperative (reporting instantiation exceptions).

### getDefaultCipherSuites

    public abstract String[] getDefaultCipherSuites()

  Returns the list of cipher suites which are enabled by default. Unless a different list is enabled, handshaking on an SSL connection will use one of these cipher suites. The minimum quality of service for these defaults requires confidentiality protection and server authentication.
  Returns:
    array of the cipher suites enabled by default

### getSupportedCipherSuites

    public abstract String[] getSupportedCipherSuites()

  Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory. Normally, only a subset of these will actually be enabled by default, since this list may include cipher suites which do not meet quality of service requirements for those defaults. Such cipher suites are useful in specialized applications.
  Returns:
    an array of cipher suite names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD